@font-face {
    font-family: 'FuenteBauhaus';
    src: url('fonts/tazz.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

* {
    font-family: 'FuenteBauhaus', sans-serif;
}

body {
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    position: relative;
    font-family: 'FuenteBauhaus', Arial, sans-serif;
}

body::before {
    content: "";
    position: absolute;
    top: -10px;
    left: -10px;
    width: calc(100% + 20px);
    height: calc(100% + 20px);
    background-image: url("img/bauhaus.webp");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    filter: blur(8px);
    z-index: -1;
}

form#formulario-cupones {
    background-color: rgba(255, 255, 255, 0.75);
    padding: 30px;
    border-radius: 12px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    gap: 15px;
    min-width: 300px;
    width: 100%;
    max-width: 400px;
}

input, select, button {
    padding: 10px;
    font-size: 16px;
    border-radius: 6px;
    border: 2px solid #EE1F26;
}

input:focus,
select:focus {
    border-color: #FF5722;
    outline: none;
    box-shadow: 0 0 5px rgba(255, 87, 34, 0.5);
}

button {
    cursor: pointer;
    background-color: #EE1F26;
    color: white;
    border: none;
    box-shadow: 0 2px 6px rgba(0,0,0,0.3);
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #d32f2f;
}

#resultado {
    margin-top: 1rem;
    padding: 1rem;
    background: rgba(255, 255, 255, 0.9);
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
    max-width: 400px;
    width: 100%;
    font-family: inherit;
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); 
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.modal-contenido {
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    max-width: 90%;
    width: 400px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
}

#logout {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px 16px;

}

.oculto {
    display: none;
}